#
# spec file for Simsu
#
# Copyright (c) 2010, 2011, 2012 Graeme Gott.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself.

Name:           simsu
Version:        1.2.2
Release:        8.2
Summary:        Basic Sudoku game

%if 0%{?fuduntu} || 0%{?rhel_version} || 0%{?centos_version}
Group:          Amusements/Games
%endif
%if 0%{?mdkversion}
Group:          Games/Puzzles
%endif
%if 0%{?suse_version} || 0%{?sles_version}
Group:          Amusements/Games/Logic
%endif
License:        GPLv3+
URL:            http://gottcode.org/%{name}/
Source:         http://gottcode.org/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires:  gcc-c++ hicolor-icon-theme pkgconfig(QtGui)
%if 0%{?suse_version} || 0%{?sles_version}
BuildRequires:  update-desktop-files
%endif

%description
A basic Sudoku game. You can switch between filling in notes (pencil mode), or filling in answers (pen mode). To make it easier to see where to place numbers, you can highlight all instances of a number. You can also check your answers for correctness while playing. The game stores your current notes and answers, so that you can pick up where you left off the next time you play.

%prep
%setup -q

%build
`pkg-config --variable=exec_prefix QtCore`/bin/qmake PREFIX=/usr
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}
%if 0%{?suse_version} || 0%{?sles_version}
%suse_update_desktop_file %{name} LogicGame
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}_32.xpm

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Thu Mar 07 2013 Shawn W Dunn <sfalken@fuduntu.org> - 1.2.2-8.2
- Built for Fuduntu

* Mon Feb 25 2013 %packager Shawn W Dunn <sfalken@gmail.com> - 1.2.2-8.2
- Built for Fuduntu

* Wed Jan 25 2012 graeme@gottcode.org 1.2.2-2
- Add ownership of translation files
* Wed Jan 25 2012 graeme@gottcode.org 1.2.2-1
- New upstream release
* Mon Dec 05 2011 graeme@gottcode.org 1.2.1-4
- Update GNOME icon cache
* Fri Nov 11 2011 graeme@gottcode.org 1.2.1-3
- Improve spec file
* Sat Apr 02 2011 graeme@gottcode.org 1.2.1-2
- Add dependency on hicolor-icon-theme
* Tue Sep 21 2010 graeme@gottcode.org 1.2.1-1
- Initial package
